Bug 826713 - [abrt] rhythmbox-2.96-3.fc17: tdb_nest_unlock: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: tdb_nest_unlock: Process /usr/bin/rhythmbox was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:53f58818097a3d70a99386db322...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 16:18 EDT by Ricardo Alonso
Modified: 2013-07-31 16:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.43 KB, text/plain)
2012-05-30 16:19 EDT, Ricardo Alonso
no flags Details
File: smolt_data (4.96 KB, text/plain)
2012-05-30 16:19 EDT, Ricardo Alonso
no flags Details
File: maps (115.01 KB, text/plain)
2012-05-30 16:19 EDT, Ricardo Alonso
no flags Details
File: dso_list (23.62 KB, text/plain)
2012-05-30 16:19 EDT, Ricardo Alonso
no flags Details
File: build_ids (9.57 KB, text/plain)
2012-05-30 16:19 EDT, Ricardo Alonso
no flags Details

  None (edit)
Description Ricardo Alonso 2012-05-30 16:18:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
comment:        I was just playing this radio http://str1.izap.com.br:443/ when the problem occured. 
crash_function: tdb_nest_unlock
executable:     /usr/bin/rhythmbox
kernel:         3.3.7-1.fc17.x86_64
pid:            1989
pwd:            /home/ricardo.alonso
time:           Qua 30 Mai 2012 16:12:26 BRT
uid:            1000
username:       ricardo.alonso

backtrace:      Text file, 52665 bytes
build_ids:      Text file, 9799 bytes
dso_list:       Text file, 24183 bytes
maps:           Text file, 117769 bytes
smolt_data:     Text file, 5074 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ricardo.alonso/2

core_backtrace:
:7716bc5c1738194dad6ec6679d05ae3782139288 0x591f - libtdb.so.1 -
:7716bc5c1738194dad6ec6679d05ae3782139288 0x4009 tdb_store libtdb.so.1 -
:355b99ee4263cf4200fa91ab0fadd2296fe70e9b 0x8bb84 - librhythmbox-core.so.5 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6cd2e - libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x5c0fe - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x6ab12 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x6a315 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ricardoalonso.local
:LC_MONETARY=pt_BR.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=10000
:LC_NUMERIC=pt_BR.utf8
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/ricardo.alonso/keyring-oBIQth
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=ricardo.alonso
:FORGE_HOME=/home/ricardo.alonso/apps/forge-distribution-1.0.0.CR2
:USERNAME=ricardo.alonso
:MAIL=/var/spool/mail/ricardo.alonso
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ricardo.alonso/bin:/home/ricardo.alonso/apps/forge-distribution-1.0.0.CR2/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ricardo.alonso
:JAVA_HOME=/usr/lib/jvm/java
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1300
:LANG=en_US.utf8
:LC_MEASUREMENT=pt_BR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ricardo.alonso
:SHLVL=1
:LOGNAME=ricardo.alonso
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9SpJa1Pa6U,guid=35a44691c570a8a8e38288bc0000006a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:ZZPATH=/home/ricardo.alonso/bin/funcoeszz
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ricardo.alonso
:DISPLAY=:0
:LC_TIME=pt_BR.utf8
:XAUTHORITY=/var/run/gdm/auth-for-ricardo.alonso-c9ZyRF/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1304,unix/unix:/tmp/.ICE-unix/1304
:GPG_AGENT_INFO=/run/user/ricardo.alonso/keyring-oBIQth/gpg:0:1
:SSH_AUTH_SOCK=/run/user/ricardo.alonso/keyring-oBIQth/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1989
:DESKTOP_STARTUP_ID=gnome-shell-1528-ricardoalonso.local-rhythmbox-1_TIME540229

gconf_subtree:
: first_time_flag = true
: library_preferred_format = mp3
: library_layout_filename = %tN - %tt
: library_locations = [file:///home/ricardo.alonso/Music]
: library_layout_path = %aa/%at
: monitor_library = true
: /apps/rhythmbox/player:
:  network_buffer_size = 32
: /apps/rhythmbox/state:
:  window_x_position = 0
:  right_paned_position = 400
:  window_y_position = 25
:  window_height = 550
:  window_width = 800
:  volume = 0.46002199999999999
:  sourcelist_height = 300
:  window_maximized = true
:  add_dir = file:///home/ricardo.alonso/Music
:  play_order = linear-loop
:  paned_position = 336
:  /apps/rhythmbox/state/daap:
:   paned_position = 180
:   show_browser = true
:  /apps/rhythmbox/state/ipod:
:   paned_position = 80
:   show_browser = true
:  /apps/rhythmbox/state/library:
:   sorting = Artist,ascending
:   paned_position = 180
:   show_browser = false
:  /apps/rhythmbox/state/iradio:
:   paned_position = 0
:  /apps/rhythmbox/state/mtp:
:   paned_position = 80
:   show_browser = true
:  /apps/rhythmbox/state/podcast:
:   download_prefix = file:///home/ricardo.alonso/Music
:   paned_position = 80
:   download_next_time = 1292595681
:   show_browser = true
: /apps/rhythmbox/ui:
:  small_display = false
:  sourcelist_hidden = false
:  /apps/rhythmbox/ui/page-groups:
:   devices = false
:   shared = false
:   library = false
:   stores = false
:   playlists = false
: /apps/rhythmbox/plugins:
:  /apps/rhythmbox/plugins/cd-recorder:
:   active = true
:  /apps/rhythmbox/plugins/magnatune:
:   active = false
:   sorting = ,ascending
:   paned_position = 88
:   show_browser = true
:  /apps/rhythmbox/plugins/jamendo:
:   active = false
:   sorting = ,ascending
:   paned_position = 180
:  /apps/rhythmbox/plugins/status-icon:
:   active = true
:   window-visible = false
:   notification-mode = 1
:  /apps/rhythmbox/plugins/ipod:
:   active = true
:  /apps/rhythmbox/plugins/mmkeys:
:   active = true
:  /apps/rhythmbox/plugins/artdisplay:
:   active = true
:  /apps/rhythmbox/plugins/lyrics:
:   active = true
:   folder = /home/ricardo.alonso/Music/lyrics
:   engines = [lyrc.com.ar,leoslyrics.com]
:  /apps/rhythmbox/plugins/generic-player:
:   active = true
:  /apps/rhythmbox/plugins/daap:
:   active = true
:  /apps/rhythmbox/plugins/mtpdevice:
:   active = true
:  /apps/rhythmbox/plugins/audiocd:
:   active = true
:  /apps/rhythmbox/plugins/audioscrobbler:
:   active = false
:   /apps/rhythmbox/plugins/audioscrobbler/Libre.fm:
:    scrobbling_enabled = true
:    enabled = true
:   /apps/rhythmbox/plugins/audioscrobbler/Last.fm:
:    scrobbling_enabled = true
:    enabled = true
:  /apps/rhythmbox/plugins/mpris:
:   active = true
:  /apps/rhythmbox/plugins/iradio:
:   active = true
:  /apps/rhythmbox/plugins/visualizer:
:   active = true
:  /apps/rhythmbox/plugins/fmradio:
:   active = true

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47472                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47472                47472                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/ricardo.alonso/.xsession-errors
:pos:	53999
:flags:	0102002
:2:/home/ricardo.alonso/.xsession-errors
:pos:	53999
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[194445]
:pos:	0
:flags:	02000002
:5:socket:[194446]
:pos:	0
:flags:	02004002
:6:socket:[194447]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[141829]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[194487]
:pos:	0
:flags:	02004002
:13:/home/ricardo.alonso/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[197720]
:pos:	0
:flags:	02004002
:15:socket:[196424]
:pos:	0
:flags:	02004002
:16:/tmp/ffi1bDbKT (deleted)
:pos:	0
:flags:	0100002
:17:socket:[162374]
:pos:	0
:flags:	02004002
:18:socket:[162375]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:21:socket:[7166628]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:May 28 17:19:53 ricardoalonso abrt[8385]: Saved core dump of pid 6645 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-05-28-17:19:52-6645 (181125120 bytes)
:May 28 17:20:14 ricardoalonso kernel: [ 7929.909397] rhythmbox-metad[8497]: segfault at 18 ip 0000003c854314e0 sp 00007fff35ce0d00 error 4 in libgobject-2.0.so.0.3200.1[3c85400000+4b000]
:May 28 17:20:15 ricardoalonso abrt[8513]: Saved core dump of pid 8497 (/usr/libexec/rhythmbox-metadata) to /var/spool/abrt/ccpp-2012-05-28-17:20:14-8497 (39739392 bytes)
:May 29 17:23:35 ricardoalonso abrt: detected unhandled Python exception in 'rhythmbox'
:May 29 17:46:21 ricardoalonso abrt[23600]: Saved core dump of pid 14599 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-05-29-17:46:19-14599 (145866752 bytes)
:May 30 16:12:26 ricardoalonso abrt[14249]: File '/usr/bin/rhythmbox' seems to be deleted
:May 30 16:12:29 ricardoalonso abrt[14249]: Saved core dump of pid 1989 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-05-30-16:12:26-1989 (128483328 bytes)

xsession_errors:
:(rhythmbox:1989): Rhythmbox-WARNING **: Could not open device /dev/radio0
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1989): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:14283): Rhythmbox-WARNING **: Could not open device /dev/radio0
:(rhythmbox:14283): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:14283): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:15373): Rhythmbox-WARNING **: Could not open device /dev/radio0
:(rhythmbox:15373): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
Comment 1 Ricardo Alonso 2012-05-30 16:19:04 EDT
Created attachment 587838 [details]
File: backtrace
Comment 2 Ricardo Alonso 2012-05-30 16:19:06 EDT
Created attachment 587839 [details]
File: smolt_data
Comment 3 Ricardo Alonso 2012-05-30 16:19:09 EDT
Created attachment 587840 [details]
File: maps
Comment 4 Ricardo Alonso 2012-05-30 16:19:12 EDT
Created attachment 587841 [details]
File: dso_list
Comment 5 Ricardo Alonso 2012-05-30 16:19:15 EDT
Created attachment 587842 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-07-03 16:30:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:34:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.